<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxPerimeter (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxPerimeter (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPerimeter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxPerimeter" class="title">Class mxPerimeter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxPerimeter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxPerimeter</span>
extends java.lang.Object</pre>
<div class="block">Provides various perimeter functions to be used in a style
 as the value of mxConstants.STYLE_PERIMETER. Alternately, the mxConstants.
 PERIMETER_* constants can be used to reference a perimeter via the
 mxStyleRegistry.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></span></code></th>
<td class="colLast">
<div class="block">Defines the requirements for a perimeter function.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#EllipsePerimeter">EllipsePerimeter</a></span></code></th>
<td class="colLast">
<div class="block">Describes an elliptic perimeter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#HexagonPerimeter">HexagonPerimeter</a></span></code></th>
<td class="colLast">
<div class="block">Describes a hexagon perimeter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RectanglePerimeter">RectanglePerimeter</a></span></code></th>
<td class="colLast">
<div class="block">Describes a rectangular perimeter for the given bounds.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RhombusPerimeter">RhombusPerimeter</a></span></code></th>
<td class="colLast">
<div class="block">Describes a rhombus (aka diamond) perimeter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TrianglePerimeter">TrianglePerimeter</a></span></code></th>
<td class="colLast">
<div class="block">Describes a triangle perimeter.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxPerimeter</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="RectanglePerimeter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RectanglePerimeter</h4>
<pre>public static&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a> RectanglePerimeter</pre>
<div class="block">Describes a rectangular perimeter for the given bounds.</div>
</li>
</ul>
<a id="EllipsePerimeter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsePerimeter</h4>
<pre>public static&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a> EllipsePerimeter</pre>
<div class="block">Describes an elliptic perimeter.</div>
</li>
</ul>
<a id="RhombusPerimeter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RhombusPerimeter</h4>
<pre>public static&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a> RhombusPerimeter</pre>
<div class="block">Describes a rhombus (aka diamond) perimeter.</div>
</li>
</ul>
<a id="TrianglePerimeter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TrianglePerimeter</h4>
<pre>public static&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a> TrianglePerimeter</pre>
<div class="block">Describes a triangle perimeter. See RectanglePerimeter
 for a description of the parameters.</div>
</li>
</ul>
<a id="HexagonPerimeter">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HexagonPerimeter</h4>
<pre>public static&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a> HexagonPerimeter</pre>
<div class="block">Describes a hexagon perimeter. See RectanglePerimeter
 for a description of the parameters.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxPerimeter</h4>
<pre>public&nbsp;mxPerimeter()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPerimeter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
